ssclient

## Class HNSTableSuppport

- java.lang.Object
- - ssclient.HNSTableSuppport

-     public class HNSTableSuppport
      extends java.lang.Object

  Supporting definitions for HNS table display object.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HNSTableSuppport.HNSManCellEditor`
    `static class` | `HNSTableSuppport.HNSManCellRenderer`
    `static class` | `HNSTableSuppport.HNSModel`
    `static class` | `HNSTableSuppport.HNSStdCellEditor`
    `static class` | `HNSTableSuppport.HNSStdCellRenderer`
    `static class` | `HNSTableSuppport.SSCCellEditor`
    `static class` | `HNSTableSuppport.SSCCellRenderer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.RenderingHints` | `AA_HINTS`
    `static java.awt.Font` | `FONT_COURIER`
    `static java.awt.Font` | `FONT_HNS_U`
    `static java.awt.Font` | `FONT_LUCIDA_C`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HNSTableSuppport()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.JTable` | `makeHNSTable(HNSSign[] signs)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FONT_LUCIDA_C

          public static final java.awt.Font FONT_LUCIDA_C

    - #### FONT_COURIER

          public static final java.awt.Font FONT_COURIER

    - #### FONT_HNS_U

          public static final java.awt.Font FONT_HNS_U

    - #### AA_HINTS

          public static final java.awt.RenderingHints AA_HINTS

  - ### Constructor Detail

    - #### HNSTableSuppport

          public HNSTableSuppport()

  - ### Method Detail

    - #### makeHNSTable

          public static javax.swing.JTable makeHNSTable(HNSSign[] signs)